package sun.reflect.generics.tree;

import sun.reflect.generics.visitor.TypeTreeVisitor;

public class SimpleClassTypeSignature implements FieldTypeSignature
{
    private final boolean dollar;
    private final String name;
    private final TypeArgument[] typeArgs;
    
    private SimpleClassTypeSignature(String name, boolean dollar, TypeArgument[] typeArgs) {
        this.name = name;
        this.dollar = dollar;
        this.typeArgs = typeArgs;
    }
    
    public static SimpleClassTypeSignature make(String s, boolean b, TypeArgument[] array) {
        return new SimpleClassTypeSignature(s, b, array);
    }
    
    public boolean getDollar() {
        return this.dollar;
    }
    
    public String getName() {
        return this.name;
    }
    
    public TypeArgument[] getTypeArguments() {
        return this.typeArgs;
    }
    
    @Override
    public void accept(TypeTreeVisitor<?> typeTreeVisitor) {
        typeTreeVisitor.visitSimpleClassTypeSignature(this);
    }
}
